--[[
-- The Mine component's OnSave function is bugged.
--
-- By not returning savedata when the mine is active, the self:Reset() in OnLoad is never
-- called, since the OnLoad function is not called when the savedata table is nil.
--
-- The toothtraps work by luck, since an OnLoad method attached to the entity itself
-- just happens to work around that (even though that's not its purpose).
--]]

Mine = _G.require "components/mine"

Mine.OnSave = do
	oldSave = Mine.OnSave
	=>
		(oldSave self) or {1}
